from pydantic import BaseModel, conint, conlist, constr
from typing import Optional
from datetime import datetime


class Contrat(BaseModel):
    chevron: Optional[str]
    codeEtablissement: str
    codeFrequencePaiementContrat: str
    codeModeGestionContrat: str
    codeTypeContrat: str
    commentaire: str
    dateDebutContrat: datetime
    dateFinPrevueContrat: datetime
    dateFinReelleContrat: datetime
    gradeTG: str
    horsEchelleLettre: Optional[str]
    indiceRemu: str
    libCourtEtablissement: str
    libLongEtablissement: str
    libLongFrequencePaiementContrat: str
    libLongTypeContrat: str
    matricule: str
    modeRemuneration: str
    natureContrat: Optional[str]
    nbHeuresContrat: float
    numAvenantContrat: str
    pourcentage: float
    rangContrat: int
    remunerationContrat: str
    tauxHoraireContrat: float
    temEnseignantChercheur: str
    temValiditeContrat: Optional[str]