from pydantic import BaseModel, conint, conlist, constr
from typing import Optional
from datetime import datetime


class Specialite(BaseModel):
    """
    Modèle représentant une spécialité.
    """
    codeEmplTypeAgt: Optional[str]
    codeSpecialiteNiv1Agt: Optional[str]
    codeSpecialiteNiv2Agt: Optional[str]
    dateDebSpecialite: Optional[datetime]
    dateFinSpecialite: Optional[datetime]
    libCourtEmpTypeAgt: Optional[str]
    libCourtSpecialiteNiv1Agt: Optional[str]
    libCourtSpecialiteNiv2Agt: Optional[str]
    libLongEmpTypeAgt: Optional[str]
    libLongSpecialiteNiv1Agt: Optional[str]
    libLongSpecialiteNiv2Agt: Optional[str]
    libLongTypeSpecialite: Optional[str]
    matricule: Optional[str]
    temoinHeritPoste: Optional[str]
    typeSpecialiteAgent: Optional[str]