from pydantic import BaseModel, conint, conlist, constr
from typing import Optional
from datetime import datetime


class Notation(BaseModel):
    matricule: str
    codeEtablissement: Optional[str]
    libCourtEtablissement: Optional[str]
    libLongEtablissement: Optional[str]
    dateEffetNotation: Optional[datetime]
    anneeNotation: Optional[int]
    codeGradeNotation: Optional[str]
    libLongGrade: Optional[str]
    codeEchelon: Optional[str]
    libCourtCategorieFP: Optional[str]
    libLongCategorieFP: Optional[str]
    loteTheorique: Optional[float]
    noteProposee: Optional[float]
    noteProvisoire: Optional[float]
    noteDefinitive: Optional[float]
