from pydantic import BaseModel, conint, conlist, constr
from typing import Optional
from datetime import datetime


class PositionAdministrative(BaseModel):
    matricule: str
    codeEtablissement: Optional[str]
    libCourtEtablissement: Optional[str]
    libLongEtablissement: Optional[str]
    dateDebutPositionAdmin: Optional[datetime]
    dateFinPrevuePositionAdmin: Optional[datetime]
    dateFinReellePositionAdmin: Optional[datetime]
    codePositionAdmin: Optional[str]
    libLongPositionAdmin: Optional[str]
    codeMotifPosition: Optional[str]
    libLongMotifPosition: Optional[str]
    codePositionStatutaire: Optional[str]
    libLongPositionStatutaire: Optional[str]
    temValiditePosition: Optional[str]
    codeModaliteDelegation: Optional[str]
    libModaliteDelegation: Optional[str]
