from typing import List, Optional
from pydantic import BaseModel


class AnomalieWebService(BaseModel):
    anomalie: str
    description: Optional[str]
    statutMAJ: Optional[str]


class AnomaliesWebServiceList(BaseModel):
    listeAnomaliesWebServices: List[AnomalieWebService]
    matricule: str
    statut: str
